Subject: [regext] draft-ietf-regext-unhandled-namespaces and draft-ietf-regext-secure-authinfo-transfer Document Track

From: "Gould, James" <[email-masked]>
Date: Tue, 8 Sep 2020 13:26:08 +0000

Both draft-ietf-regext-unhandled-namespaces and draft-ietf-regext-secure-authinfo-transfer are BCP drafts.  We have discussed the status of these drafts informally at prior REGEXT meetings and more formally at the IETF-108 REGEXT meeting.  Both drafts don’t define protocol, but define operational practices of using the existing EPP RFCs in a more secure or more compliant way.  I believe the drafts best match the purpose of a BCP.  Please respond on the list with your support for the BCP track or if you believe a different track should be used for one or both drafts.

Thanks,

--

JG

James Gould
Fellow Engineer
[email-masked]<applewebdata://13890C55-AAE8-4BF3-A6CE-B4BA42740803/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>

---

From: "Patrick Mevzek" <[email-masked]>
Date: Wed, 09 Sep 2020 13:06:26 -0500

On Tue, Sep 8, 2020, at 08:26, Gould, James wrote:
>  
> Both draft-ietf-regext-unhandled-namespaces and 
> draft-ietf-regext-secure-authinfo-transfer are BCP drafts.  We have 
> discussed the status of these drafts informally at prior REGEXT 
> meetings and more formally at the IETF-108 REGEXT meeting.  Both drafts 
> don’t define protocol, but define operational practices of using the 
> existing EPP RFCs in a more secure or more compliant way.  I believe 
> the drafts best match the purpose of a BCP.  Please respond on the list 
> with your support for the BCP track or if you believe a different track 
> should be used for one or both drafts.  

I believe they both should be "Experimental" instead.

They are not long term widespread "current practices" at all.

As for "best" ones, I am still reserved.

-- 
  Patrick Mevzek
  [email-masked]

---

From: "Gould, James" <[email-masked]>
Date: Wed, 9 Sep 2020 18:51:44 +0000

Patrick,

Thank you for your feedback.  I don't see these drafts as meeting the description of 4.2.1 of RFC 2026, which states 'The "Experimental" designation typically denotes a specification that is part of some research or development effort'.  The drafts certainly are not part of an R&D effort.  They define concrete practices to address security or compliance issues in implementing the RFCs.  The description in Section 5 of RFC 2026 for a BCP includes the reference to "is designed to be a way to standardize practices", which matches what is contained in the drafts.  The other option is a Standards Track Technical Specification (TS) that includes "any description of a protocol, service, procedure, convention, or format" in RFC 2026, where these drafts could fall into the "procedure, convention" portion of the TS description.  

I don't believe there is a dependency on the drafts being implemented widely for a long period of time for any of the tracks, including the BCP.  

-- 
 
JG

James Gould
Fellow Engineer
[email-masked] <applewebdata://13890C55-AAE8-4BF3-A6CE-B4BA42740803/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com <http://verisigninc.com/>

On 9/9/20, 2:07 PM, "regext on behalf of Patrick Mevzek" <[email-masked] on behalf of [email-masked]> wrote:

    

    
    -- 
      Patrick Mevzek
      [email-masked]
    
    _______________________________________________
    regext mailing list
    [email-masked]
    https://secure-web.cisco.com/1fo-40TgUtMNyaLZfhwQAczhAZI0Cq_66aqA7kCb2fhJFECNKUyrkQMZ6MHbDJtJxbEAkxSMdf2N8RqvTGVs1QZmqi_pe0iyjOZ2fyMa9ty7IU-ke7eYVdvgoYc0MDR_VuqiE-98Azn-5QjgkoJSRwVGloqG7nmhBp33XNC44XxZPAdOFNQ5rEGYKvhE84ukklWML2yXDjwmQQ54UVOP2CgWSSxrXY6R4VJ9LDa6rgkP24wkS3zSyQ7bLLXc7eNeGU-Ec-dzDmv4VYKL1FDLln8yT04Ic4hK1411WKzhh-b4/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fregext

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 16 Sep 2020 15:12:08 +0000

> -----Original Message-----
> From: regext <[email-masked]> On Behalf Of Patrick Mevzek
> Sent: Wednesday, September 9, 2020 2:06 PM
> To: [email-masked]
> Subject: [EXTERNAL] Re: [regext] draft-ietf-regext-unhandled-namespaces
> and draft-ietf-regext-secure-authinfo-transfer Document Track
> 
> 
> 
> > meetings and more formally at the IETF-108 REGEXT meeting.  Both
> > drafts don’t define protocol, but define operational practices of
> > using the existing EPP RFCs in a more secure or more compliant way.  I
> > believe the drafts best match the purpose of a BCP.  Please respond on
> > the list with your support for the BCP track or if you believe a
> > different track should be used for one or both drafts.
> 

Patrick's reservations have merit. If we as a community can't agree that the documents describe best current practices, then it might not be appropriate for them to be published as BCPs. I'd feel more comfortable with publication on the standards track as technical specifications ("A Technical Specification is any description of a protocol, service, procedure, convention, or format") as described in Section 3.1 of RFC 2026.

Scott

---

From: "Gould, James" <[email-masked]>
Date: Wed, 16 Sep 2020 16:43:03 +0000

Scott,

Thanks, I agree that there is supporting language in RFC 2026 to support draft-ietf-regext-unhandled-namespaces and draft-ietf-regext-secure-authinfo-transfer as standards track technical specifications.  We would change the track of both drafts from BCP to standards track.  Are there additional thoughts from the working group?    

Thanks,

-- 
 
JG

James Gould
Fellow Engineer

703-948-3271
12061 Bluemont Way
Reston, VA 20190

    
    
    Scott
    _______________________________________________
    regext mailing list
    [email-masked]
    https://secure-web.cisco.com/1-5xcnRGPSR_FMxlp_u9DCtCkDAP63ET4arcK3x2U08H8dv4pIt0hJyhUEafMW4xCbmfjodXmDB2NeFwNE9cQLzXH-RTaht8knEDRnuu3S-muvpcYvTN6r7VL4l60rMi5I7uBtnsH7QjMy3LT6Lowp_ARN0wqKvRyDdUpc7JLyj-iv4ri64uM16Dsq-4sY6hSoaLEYlIVPEo2f484NABmZ2RqqcFyfaHkIZOKhe03_KGeprRN6ZE0jfY31KV9m-uUWsEL9NDd0NTA44QOSzp3o2wwG0iNzDtjFkBwcfkUdlA/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fregext

---

From: Jody Kolker <[email-masked]>
Date: Mon, 21 Sep 2020 20:12:36 +0000

Jim,

Changing from BCP to standards track looks acceptable to me.

Thanks,
Jody.

-----Original Message-----
From: regext <[email-masked]> On Behalf Of Gould, James
Sent: Wednesday, September 16, 2020 11:43 AM
To: shollenbeck=[email-masked]; [email-masked]; [email-masked]
Subject: Re: [regext] draft-ietf-regext-unhandled-namespaces and draft-ietf-regext-secure-authinfo-transfer Document Track

Notice: This email is from an external sender.

Scott,

Thanks,

--

JG

James Gould
Fellow Engineer

703-948-3271
12061 Bluemont Way
Reston, VA 20190

    Scott

_______________________________________________
regext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/regext